6 Replies
      Latest reply: Sep 22, 2016 11:25 AM by RandomDSdevel RSS
      RandomDSdevel Level 1 Level 1 (0 points)

            So I went to get updates from the App Store today and saw that Xcode 8 was available for my mid-2007 aluminum iMac running OS X v10.11.6 'El Capitan.'  I had a little trouble getting it to finish downloading and installing (probably since it's such a big download — I've had problmes like this before,) but I did finally manage to get it do that! In any case, once I was done doing that, I expected to find myself able to download and install the corresponding command line tools package update even though it didn't appear when I first checked for updates.  And, yet, for some strange reason, the expected update in question still hasn't appeared!  I also checked Apple Developer Connection's manual 'Downloads for Apple Developers' page, but the El Capitan command-line tools installer wasn't listed there, either!  To make matters even more confusing, I did see the macOS Sierra (10.12) command-line tools installer listed there!  What in the heck is going on here?!?  I need the command-line tools to continue using Homebrew in --build-from-source mode! 

        • Re: No Xcode Command Line Tools for OS X v10.11.6 'El Capitan?!?'
          jhowarth Level 1 Level 1 (10 points)

          The Xcode 8 Command Line Tools for 10.11 was pulled at the last moment because the 10.11 SDK was being installed in / rather than the 10.12 SDK required for the Swift 3 compiler to work. It doesn't sound like this will be fixed in time for the Xcode 8.0 release.

            • Re: No Xcode Command Line Tools for OS X v10.11.6 'El Capitan?!?'
              RandomDSdevel Level 1 Level 1 (0 points)

                   Well, that doesn't sound good…; in that case, will Apple be keeping the public up to date on the situation here somewhere, and, if so, could you post a link to wherever they do this (I'm assuming you work for Apple here…?)  Please tell me that a revised version of the 'Command Line Tools (macOS 10.11) for Xcode 8' will be pushed to the App Store for download soon or that Xcode v8.0.1 will be released to fix this within a similar period of time, as not having the command-line tools is starting to become a bit of a problem for those of us developers who will not be updating to macOS Sierra right away and still need full access to Xcode 8's complete functionality along with that of its command-line tools! 

                • Re: No Xcode Command Line Tools for OS X v10.11.6 'El Capitan?!?'
                  jdw13 Level 1 Level 1 (0 points)

                  It's even worse-- apparently XCode 8 for MacOS Sierra goes with Tools that require Sierra, so the XCode 8 application should install ONLY on Sierra, and not El Capitan.

                  For me, it is a minor inconvenience since I plan to upgrade to Sierra soon, anyway.  This mistake in install script could be a major problem for anyone planning to stay with El Capitan for a while.

                   

                  IMO, one MAJOR advantage of install tools is that they prevent installation upon unsupported configurations....

                   

                  I have reported this

                  Bug Id: 28356077 Xcode 8 installs on El Capitan

                    • Re: No Xcode Command Line Tools for OS X v10.11.6 'El Capitan?!?'
                      RandomDSdevel Level 1 Level 1 (0 points)

                          Well, I, for instance, am stuck with El Capitan until I get a new machine since the one I'm on now (a 24" mid-2007 aluminum iMac) is no longer supported by Sierra, so this is going to be a problem for me.  This guy by the handle of 'jhowarth' posted in a reply to my original post on this thread that Apple did originally plan to release a version of the Xcode 8's command-line tools suite for users of OS X v10.11.x 'El Capitan' but that they had to pull it at the last moment because of the glitch with the install script that you implied you also heard about — where did you guys here about that, by the way, as I haven't yet seen anything official that mentions anything along those lines as of yet…?  In any case, could you, as I asked in a reply to your reply to 'WARNING: Xcode.app version (8.0) and Xcode Command Line Tools version (7.3) are not compatible.' (which hasn't yet shown up because it's still being moderated — sorry!), also post a duplicate of that bug report you submitted to Apple to Open Radar so that others, myself included, can also view it?

                • Re: No Xcode Command Line Tools for OS X v10.11.6 'El Capitan?!?'
                  myke Apple Staff Apple Staff (825 points)

                  There is no Command Line Tools (OS X 10.11) for Xcode 8 package. Xcode 8 contains SDKs that are incompatible with earlier toolchains. Developers who want to make use of the Xcode 8 SDKs from the command line must choose the SDK with xcode-select. Developers on OS X El Capitan who have installed versions of the Command Line Tools (OS X 10.11) for Xcode 8 Beta should install Command Line Tools (OS X 10.11) for Xcode 7.3.1.

                    • Re: No Xcode Command Line Tools for OS X v10.11.6 'El Capitan?!?'
                      RandomDSdevel Level 1 Level 1 (0 points)

                      Yeah, I saw something similar in Xcode 8.1's first beta's release notes.  That's a bit of a shame, but I suppose it can't be helped on your guys's end, now, can it?  Perhaps you could have released an Xcode 8.0.1 with the just the fixed CLT suite both inside Xcode and as a separate package…?  Oh, well; I guess we'll never know now that the fix in question has been postponed to Xcode 8.1.